#30 spurious/duplicate entries in panel right click menu (Ubuntu 12.04 64-bit)

Unknown
closed
None
2014-09-14
2014-03-15
jz78817
No

when running CDE on Ubuntu 12.04 x86_64, right-clicking on any icon on the panel will show the contents of the menu with some duplicated, and a number of spurious ones labeled "action_button." Clicking on any of the "action_button" entries will cause dtwm to disappear. issue has not occurred for me on Ubuntu 12.04 or 13.04 for i386.

steps to reproduce:
1) on a clean install of 12.04 x86-64, download/build/install CDE exactly as described on the Linux Build Wiki (pulling source from git.)
2) right click on any icon in the front panel, you should see something like the attached screengrab.
3) click on any of the "action_button" entries. dtwm will disappear, leaving open windows floating in limbo.

1 Attachments

Related

Tickets: #30

Discussion

  • jz78817

    jz78817 - 2014-03-16

    also happens on Ubuntu 13.10 x86-64. would attaching the log from /var/crash help?

     
  • Andrey ``Bass'' Shcheglov

    I believe this has smth to do with GCC flags. Which GCC version are you using?

    Can you recompile with -O0 and see whether the issue goes away?

     
    • jz78817

      jz78817 - 2014-03-28

      Hi Andrew,

      gcc 4.6, I believe.

      n00b question time- how can I pass the –O0 flag? The few ways I’ve found via search- adding it to the FLAGS line in the makefile or adding them as command line switches- results in an immediate build failure. if I try it via a CFLAGS variable I get a response that CFLAGS doesn’t exist on my system.

      From: Andrew ``Bass'' Shcheglov
      Sent: Thursday, March 20, 2014 01:26
      To: [cdesktopenv:tickets]
      Subject: [cdesktopenv:tickets] #30 spurious/duplicate entries in panel right click menu (Ubuntu 12.04 64-bit)

      I believe this has smth to do with GCC flags. Which GCC version are you using?

      Can you recompile with -O0 and see whether the issue goes away?


      [tickets:#30] spurious/duplicate entries in panel right click menu (Ubuntu 12.04 64-bit)

      Status: open
      Milestone: Unknown
      Created: Sat Mar 15, 2014 03:47 PM UTC by jz78817
      Last Updated: Sun Mar 16, 2014 03:41 PM UTC
      Owner: nobody

      when running CDE on Ubuntu 12.04 x86_64, right-clicking on any icon on the panel will show the contents of the menu with some duplicated, and a number of spurious ones labeled "action_button." Clicking on any of the "action_button" entries will cause dtwm to disappear. issue has not occurred for me on Ubuntu 12.04 or 13.04 for i386.

      steps to reproduce:
      1) on a clean install of 12.04 x86-64, download/build/install CDE exactly as described on the Linux Build Wiki (pulling source from git.)
      2) right click on any icon in the front panel, you should see something like the attached screengrab.
      3) click on any of the "action_button" entries. dtwm will disappear, leaving open windows floating in limbo.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdesktopenv/tickets/30/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Tickets: #30

  • Andrey ``Bass'' Shcheglov

    Under programs/dtwm/, in Makefile, at line 144, replace

    CXXDEBUGFLAGS = -O2 -fno-strict-aliasing
    

    with

    CXXDEBUGFLAGS = -O0
    

    Also, since all CDE binaries are built with the debug information (-g), you can launch X11 server with only a single client (xterm for example), and then run dtwm under gdb (even in the same xterm). Once you make dtwm crash, you can run the bt command from gdb shell and post the output here.

     
  • NullNoname

    NullNoname - 2014-08-19

    This bug cannot be avoided in Ubuntu 14.04 with GCC 4.8.2, even with "-O0" option, at least for me. I will probably try again in GCC 4.6 and see what happens.

    EDIT: Nope. This bug cannot be avoided even with GCC 4.6 with replacing -O2 with -O0 in "config/cf/linux.cf". There are currently no fix for this bug in Ubuntu 14.04.

     
    Last edit: NullNoname 2014-08-30
  • NullNoname

    NullNoname - 2014-08-31

    Although not a complete fix I managed to create a workaround.

    In "cdesktopenv-code/cde/programs/dtwm/PopupMenu.c", comment out the following block found in SetupActionMenuItems:

       if (control_data != NULL)
          while (control_data->actions[num_actions] != NULL)
             num_actions++;
    

    It prevents the program-name menu entry from being added to the bottom of the menu, which never disappears.

    Next, find the following line in CreatePopupMenu:

       for (i = 0; i < 5; i++)
    

    and change "i < 5" to "i < 0".

       for (i = 0; i < 0; i++)
    

    It prevents the five "action_button" menu items from being added. A similar code also exists in CreateWorkspacePopupMenu function, but that's one is working correctly it seems.

    Downside of this workaround is that you lose the ability to launch the program normally from the popup-menu.

     
  • Jon Trulson

    Jon Trulson - 2014-09-14
    • status: open --> closed
    • assigned_to: Ulrich Wilkens
     
  • Jon Trulson

    Jon Trulson - 2014-09-14

    Fixed in git post 2.2.2

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks